Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.rule.impl
Class TaskRuleServiceImpl

    java.lang.Object
      org.jbpm.services.task.rule.impl.TaskRuleServiceImpl

All Implemented Interfaces:
  TaskRuleService

    @ApplicationScoped
    public class TaskRuleServiceImpl

extends Object
implements TaskRuleService

Field Summary

Fields inherited from interface org.jbpm.services.task.rule.TaskRuleService
`ADD_TASK_SCOPE, COMPLETE_TASK_SCOPE`

Constructor Summary
`TaskRuleServiceImpl()`

Method Summary
`void` | `executeRules(Task task, String userId, org.kie.internal.task.api.model.ContentData contentData, String scope)`
`void` | `executeRules(Task task, String userId, Object params, String scope)`
`RuleContextProvider` | `getRuleContextProvider()`
`void` | `setRuleContextProvider(RuleContextProvider ruleContextProvider)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaskRuleServiceImpl

    public TaskRuleServiceImpl()

Method Detail

### executeRules

    public void executeRules(Task task,
                             String userId,
                             org.kie.internal.task.api.model.ContentData contentData,
                             String scope)
                      throws TaskException

  Specified by:
    `executeRules` in interface `TaskRuleService`
  Throws:
    `TaskException`

### executeRules

    public void executeRules(Task task,
                             String userId,
                             Object params,
                             String scope)
                      throws TaskException

  Specified by:
    `executeRules` in interface `TaskRuleService`
  Throws:
    `TaskException`

### getRuleContextProvider

    public RuleContextProvider getRuleContextProvider()

### setRuleContextProvider

    public void setRuleContextProvider(RuleContextProvider ruleContextProvider)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.